<template>
  <div class='default-main'>
    <el-tabs v-model='activeName' type='border-card'>
      <el-tab-pane label='终端状态管理' name='0'>
        <terminal :id="id" v-if="activeName == '0'" />
      </el-tab-pane>
      <el-tab-pane label='监测点状态管理' name='1'>
        <monitor :id="id" v-if="activeName == '1'" />
      </el-tab-pane>
    </el-tabs>
  </div>
</template>

<script setup lang='ts'>
import { ref } from 'vue'
import { mainHeight } from '@/utils/layout'
import terminal from './terminal.vue'
import monitor from './monitor.vue'
import { useRoute } from "vue-router";

defineOptions({
  name: 'supervision/retire'
})
const activeName = ref('0')
const route = useRoute()
const id = ref('')

const layout = mainHeight(63) as any

watch(() => route.query.t, async (newValue, oldValue) => {
  if (route.fullPath.includes('supervision/retire')) {
    let type = (route.query.type as string) || 'null'
    if (type == 'null') { }
    else if (type == '0') {
      activeName.value = '0'
    } else {
      activeName.value = '1'
    }
    id.value = (route.query.id as string) || 'null'
    id.value = id.value + '@' + route.query.t
  }
}, { deep: true, immediate: true })
</script>

<style lang='scss' scoped>
.bars_w {
  width: 100%;
  height: 500px;
}

:deep(.el-tabs__content) {
  height: v-bind('layout.height');
  overflow-y: auto;
}
</style>
